import axios from '../utils/request'
// 获取列表
export const leaderList = (data) => {
  return axios({
    method: 'post',
    url: '/cms/leader/list',
    data
  })
}
// 新增、编辑
export const leaderSave = (data) => {
  return axios({
    method: 'post',
    url: '/cms/leader/save',
    data
  })
}
// 排序
export const leaderSort = (id, sort) => {
  return axios({
    url: `/cms/leader/sort/${id}/${sort}`
  })
}
// 是否显示
export const leaderDisplay = (id, display) => {
  return axios({
    url: `/cms/leader/display/${id}/${display}`
  })
}
// 通过id获取详情
export const leaderDetail = (id) => {
  return axios({
    url: `/cms/leader/detail/${id}`
  })
}
// 点击删除
export const leaderRemove = (id) => {
  return axios({
    url: `/cms/leader/remove/${id}`
  })
}
